Jupiter ERP
Account API

Get Warehouse

/api/account/warehouses/{id}

GETHTTP
get/api/account/warehouses/{id}

Example request

GET https://api.jupiter-erp.com/api/account/warehouses/example-id

Code
curl -X GET 'https://api.jupiter-erp.com/api/account/warehouses/example-id' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
  -H 'Accept: application/json'

Parameters

NameInRequiredDescription
idpathyes

Responses

200OK
FieldTypeDescription
active*boolean
address_line_1stringFirst line of the address (Street and House number)
address_line_2stringSecond line of the address
citystringCity of the address.
codestring
country_codestringISO country code of the address.
created_atstring (date-time)Creation timestamp in ISO 8601 format.
descriptionstringHTML
emailstring (email)
id*integer
internal_notestringHTML
locationobject
FieldTypeDescription
idinteger
namestring
location_idinteger
name*string
phonestringPhone number in E.164 format.
statestringState or region of the address.
updated_atstring (date-time)Last update timestamp in ISO 8601 format.
zipstringZIP or postal code.
Example response
{
  "id": 0,
  "location_id": 0,
  "location": {
    "id": 0,
    "name": "string"
  },
  "name": "string",
  "code": "string",
  "description": "string",
  "active": true
}
Warehouses

Questions about integration?

GET /api/account/warehouses/{id} · Jupiter ERP